jQuery(document).ready(function($) {
	"use strict";
	
    $(document).on("click", "#webhosty_image_button", function() {
          
        jQuery.data(document.body, 'prevElement', $(this).prev());

        window.send_to_editor = function(html) {
            var imgurl = jQuery('img',html).attr('src');
			if(imgurl == undefined){
				console.log(html);  
				var imgurl=$(html).attr("href");
				}
            var inputText = jQuery.data(document.body, 'prevElement');
            if(inputText != undefined && inputText != '')
            {
                inputText.val(imgurl); 
            }

            tb_remove(); 
        }; 

        tb_show('', 'media-upload.php?type=image&TB_iframe=true');
        return false;
    });
	
/*	
$(function() {
    $('#webhosty_option_select, input[type="select"]').on('change', function() {
var countries=["image","slider"];
        var data1 = $(this).val();
if (data1=='image')
{
	$('.webhosty_i_src').show();
	 
} 
        else{ 
			$('.webhosty_i_src').hide();
          
		   
        }
		
    });
});  */ 
 
$('#webhosty_option_select').change(function(){
		if($(this).val() == 'image'){
			$('#web_webhosty_image_src').show();
			$('#web_webhosty_banner_title').show();
			$('#web_webhosty_banner_description').show();
			$('#web_webhosty_slider_code').hide();
			$('#web_webhosty_search_title').hide();
			$('#web_webhosty_search_placeholder').hide();
			
			
		}else if($(this).val() == 'sliders'){
			$('#web_webhosty_image_src').hide(); 
			$('#web_webhosty_banner_title').hide();
			$('#web_webhosty_banner_description').hide();
			$('#web_webhosty_search_title').hide();
			$('#web_webhosty_search_placeholder').hide();
			$('#web_webhosty_slider_code').show();
			
		}else if($(this).val() == 'search'){
			$('#web_webhosty_image_src').hide(); 
			$('#web_webhosty_banner_title').hide();
			$('#web_webhosty_banner_description').hide();
			$('#web_webhosty_slider_code').hide();
			$('#web_webhosty_search_title').show();
			$('#web_webhosty_search_placeholder').show();
			
		}
		else{
			
			$('#web_webhosty_image_src').hide();
			$('#web_webhosty_banner_title').hide();
			$('#web_webhosty_banner_description').hide();
			$('#web_webhosty_slider_code').hide();
			$('#web_webhosty_search_title').hide();
			$('#web_webhosty_search_placeholder').hide();
		}
	});
	if($('#webhosty_option_select').val() == 'image'){
		$('#web_webhosty_image_src').show();
			$('#web_webhosty_banner_title').show();
			$('#web_webhosty_banner_description').show();
			$('#web_webhosty_slider_code').hide();
			$('#web_webhosty_search_title').hide();
			$('#web_webhosty_search_placeholder').hide(); 
		
	}else if($('#webhosty_option_select').val() == 'sliders'){
		$('#web_webhosty_image_src').hide(); 
			$('#web_webhosty_banner_title').hide();
			$('#web_webhosty_banner_description').hide();
			$('#web_webhosty_slider_code').show();
			$('#web_webhosty_search_title').hide();
			$('#web_webhosty_search_placeholder').hide(); 
		
	}else if($('#webhosty_option_select').val() == 'search'){
		$('#web_webhosty_image_src').hide(); 
			$('#web_webhosty_banner_title').hide();
			$('#web_webhosty_banner_description').hide();
			$('#web_webhosty_slider_code').hide();
			$('#web_webhosty_search_title').show();
			$('#web_webhosty_search_placeholder').show(); 
		
	}
	else{
		$('#web_webhosty_image_src').hide();
			$('#web_webhosty_banner_title').hide();
			$('#web_webhosty_banner_description').hide();
			$('#web_webhosty_slider_code').hide();
			$('#web_webhosty_search_title').hide();
			$('#web_webhosty_search_placeholder').hide(); 
	}

	
jQuery('.webhosty-select-sidebar').click(function(){
		jQuery('.webhosty-select-sidebar').find('input').removeAttr('checked');
		jQuery('.webhosty-select-sidebar').removeClass('webhosty_chooseborder');
		jQuery(this).find('input').attr('checked','checked');
		jQuery(this).addClass('webhosty_chooseborder');
	});	
	 
	
	
	
	
});  